package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "registered_order_view")
public class RegisteredOrderView {

    @Id
    @Column(name = "registered_id", nullable = false)
    private Integer registeredId;

    /**
     * user表主键id
     */
    @Column(name = "user_id", nullable = false)
    private Integer userId;

    @Column(name = "hospital_id", nullable = false)
    private Integer hospitalId;

    private Integer total;

    @Column(name = "registered_date")
    private Date registeredDate;

    /**
     * 预约时间段
     */
    @Column(name = "registered_period", nullable = false)
    private Integer registeredPeriod;

    /**
     * 分时开始时间，格式：HH:MI
     */
    @Column(name = "start_time", nullable = false)
    private String startTime;

    /**
     * 分时结束时间，格式：HH:MI
     */
    @Column(name = "end_time", nullable = false)
    private String endTime;

    /**
     * 就诊卡Id
     */
    @Column(name = "medical_card_id", nullable = false)
    private Integer medicalCardId;

    /**
     * 就诊人
     */
    @Column(name = "patient_name", nullable = false)
    private String patientName;

    /**
     * 支付方式
     */
    @Column(name = "payment_channel", nullable = false)
    private Integer paymentChannel;

    /**
     * 是否删除（标识物理删除）
     */
    @Column(name = "deleted", nullable = false)
    private Boolean deleted;

    /**
     * 更新时间
     */
    @Column(name = "update_time", nullable = false)
    private Date updateTime;

    /**
     * 创建时间
     */
    @Column(name = "create_time", nullable = false)
    private Date createTime;

    /**
     * 医生编号
     */
    @Column(name = "doctor_code")
    private String doctorCode;

    /**
     * 预约科室编号
     */
    @Column(name = "dept_code")
    private String deptCode;

    /**
     * 预约科室名称
     */
    @Column(name = "dept_name")
    private String deptName;

    /**
     * 挂号费
     */
    @Column(name = "registered_fee", nullable = false)
    private Integer registeredFee;

    /**
     * 诊疗费
     */
    @Column(name = "medical_fee", nullable = false)
    private Integer medicalFee;

    /**
     * 支付状态
     */
    @Column(name = "payment_status", nullable = false)
    private Integer paymentStatus;

    /**
     * 挂号订单状态
     */
    @Column(name = "registered_status", nullable = false)
    private Integer registeredStatus;

    /**
     * 备注
     */
    @Column(name = "remark")
    private String remark;

    /**
     * 订单 id
     */
    @Column(name = "order_id", nullable = false)
    private Integer orderId;

    /**
     * 订单号
     */
    @Column(name = "order_no", nullable = false)
    private String orderNo;

    /**
     * 订单备注
     */
    @Column(name = "order_remark")
    private String orderRemark;

    /**
     * 订单类型
     */
    @Column(name = "order_type", nullable = false)
    private Integer orderType;

    /**
     * 医生名称
     */
    @Column(name = "doctor_name", nullable = false)
    private String doctorName;

    /**
     * 患者性别
     */
    @Column(name = "patient_sex", nullable = false)
    private Integer patientSex;

    @Column(name = "his_order_code")
    private String hisOrderCode;

    @Column(name = "his_clinic_code")
    private String hisClinicCode;

    @Column(name = "his_patient_id")
    private String hisPatientId;

    @Column(name = "sub_hospital_id")
    private Integer subHospitalId;

    public Integer getRegisteredId() {
        return registeredId;
    }

    public void setRegisteredId(Integer registeredId) {
        this.registeredId = registeredId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Integer hospitalId) {
        this.hospitalId = hospitalId;
    }

    public Integer getTotal() {
        return total;
    }

    public void setTotal(Integer total) {
        this.total = total;
    }

    public Date getRegisteredDate() {
        return registeredDate;
    }

    public void setRegisteredDate(Date registeredDate) {
        this.registeredDate = registeredDate;
    }

    public Integer getRegisteredPeriod() {
        return registeredPeriod;
    }

    public void setRegisteredPeriod(Integer registeredPeriod) {
        this.registeredPeriod = registeredPeriod;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public Integer getMedicalCardId() {
        return medicalCardId;
    }

    public void setMedicalCardId(Integer medicalCardId) {
        this.medicalCardId = medicalCardId;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public Integer getPaymentChannel() {
        return paymentChannel;
    }

    public void setPaymentChannel(Integer paymentChannel) {
        this.paymentChannel = paymentChannel;
    }

    public Boolean getDeleted() {
        return deleted;
    }

    public void setDeleted(Boolean deleted) {
        this.deleted = deleted;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDoctorCode() {
        return doctorCode;
    }

    public void setDoctorCode(String doctorCode) {
        this.doctorCode = doctorCode;
    }

    public String getDeptCode() {
        return deptCode;
    }

    public void setDeptCode(String deptCode) {
        this.deptCode = deptCode;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public Integer getRegisteredFee() {
        return registeredFee;
    }

    public void setRegisteredFee(Integer registeredFee) {
        this.registeredFee = registeredFee;
    }

    public Integer getMedicalFee() {
        return medicalFee;
    }

    public void setMedicalFee(Integer medicalFee) {
        this.medicalFee = medicalFee;
    }

    public Integer getPaymentStatus() {
        return paymentStatus;
    }

    public void setPaymentStatus(Integer paymentStatus) {
        this.paymentStatus = paymentStatus;
    }

    public Integer getRegisteredStatus() {
        return registeredStatus;
    }

    public void setRegisteredStatus(Integer registeredStatus) {
        this.registeredStatus = registeredStatus;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Integer getOrderId() {
        return orderId;
    }

    public void setOrderId(Integer orderId) {
        this.orderId = orderId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public String getOrderRemark() {
        return orderRemark;
    }

    public void setOrderRemark(String orderRemark) {
        this.orderRemark = orderRemark;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public Integer getPatientSex() {
        return patientSex;
    }

    public void setPatientSex(Integer patientSex) {
        this.patientSex = patientSex;
    }

    public String getHisOrderCode() {
        return hisOrderCode;
    }

    public void setHisOrderCode(String hisOrderCode) {
        this.hisOrderCode = hisOrderCode;
    }

    public String getHisClinicCode() {
        return hisClinicCode;
    }

    public void setHisClinicCode(String hisClinicCode) {
        this.hisClinicCode = hisClinicCode;
    }

    public String getHisPatientId() {
        return hisPatientId;
    }

    public void setHisPatientId(String hisPatientId) {
        this.hisPatientId = hisPatientId;
    }

    public Integer getSubHospitalId() {
        return subHospitalId;
    }

    public void setSubHospitalId(Integer subHospitalId) {
        this.subHospitalId = subHospitalId;
    }
}
